/*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*\

  System Core TypeScript Library

  Copyright (c) TypeScriptLibs and Contributors

  Licensed under the MIT License; you may not use this file except in
  compliance with the License. You may obtain a copy of the MIT License at
  https://typescriptlibs.org/LICENSE.txt

\*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*/
import Exception from './Exception';
import Type from '../Type';
/**
 * The base class for exceptions in all system libraries.
 *
 * @extends Exception
 */
export declare class SystemException extends Exception {
    /**
     * Returns the type of this object for further reflection.
     * @return {Type} The type of this object.
     */
    getType(): Type;
}
export default SystemException;
