"use strict";
/*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*\

  System Core TypeScript Library

  Copyright (c) TypeScriptLibs and Contributors

  Licensed under the MIT License; you may not use this file except in
  compliance with the License. You may obtain a copy of the MIT License at
  https://typescriptlibs.org/LICENSE.txt

\*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*i*/
Object.defineProperty(exports, "__esModule", { value: true });
const package_1 = require("../../package");
const Enum_1 = require("./Enum");
const Type_1 = require("../Type");
class TypeCodes extends Enum_1.default {
    getType() {
        return new Type_1.default(this, package_1.default);
    }
}
TypeCodes.EMPTY = new TypeCodes('EMPTY', 0);
TypeCodes.BOOLEAN = new TypeCodes('BOOLEAN', 3);
TypeCodes.NUMBER = new TypeCodes('NUMBER', 14);
TypeCodes.STRING = new TypeCodes('STRING', 18);
exports.TypeCodes = TypeCodes;
exports.default = TypeCodes;
